package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class HandMacDepositCollection extends AbstractObjectCollection 
{
    public HandMacDepositCollection()
    {
        super(HandMacDepositInfo.class);
    }
    public boolean add(HandMacDepositInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(HandMacDepositCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(HandMacDepositInfo item)
    {
        return removeObject(item);
    }
    public HandMacDepositInfo get(int index)
    {
        return(HandMacDepositInfo)getObject(index);
    }
    public HandMacDepositInfo get(Object key)
    {
        return(HandMacDepositInfo)getObject(key);
    }
    public void set(int index, HandMacDepositInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(HandMacDepositInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(HandMacDepositInfo item)
    {
        return super.indexOf(item);
    }
}